Redmine - Patch #1299

Polish translation for r1460
2008-05-26 13:55 - Leszek Ciesielski

Status: Closed Start date: 2008-05-26
Priority: Normal Due date: 2008-11-07
Assignee: Azamat Hackimov % Done: 0%
Target version: 0.8

Description

| wanted to attach a patch with translatoins of the new strings, but | have a problem:
the strings mail_subject_reminder and mail_body_reminder need 3 different translations in polish (for 1/2--4/5+ items). How can this
be done? | know it has something to do with _gloc_rule_default, but after that, I'm clueless.

Associated revisions

Revision 1986 - 2008-11-07 12:28 - Azamat Hackimov
Update for pl.yml, #1299

History

#1 - 2008-07-19 09:33 - Jean-Philippe Lang

- Status changed from New to Closed

See #1635.

#2 - 2008-07-19 17:30 - Azamat Hackimov
Hi.

I'm just want warn, _gloc_rule_default for polish must be different than for russian. See gettexxt manual for plural forms for language families:
http://www.gnu.org/software/autoconf/manual/gettext/Plural-forms.html

I'm not Ruby hacker, but for polish _gloc_rule_default may be look like that:

_gloc_rule_default: '|n| nl0=n%10; nl00=n%100; n==1 ? "" : nl0>=2 && nl0<=4 && (nl00<10 || nl00>=20) ? "_plura
1234"™ : "_pluralb5"'

Maybe I'm wrong, but kak-To TaK :)

#3 - 2008-10-31 14:52 - Leszek Ciesielski

- Status changed from Closed to Reopened

| did check how the ru translation has changed, but | am still confused.

| checked your _gloc_rule_default against http:/, rolltech.com 19-plurals.html - and it is the same. And it sounds right :-) However, | have
one further question - when | change the gloc rule and add translations for _plural234 and _plural5 variants, should | leave the _plural variant in the

translations file? Also, does each _plural language string need to be changed to _plural234 + _plural5 or do only those with % formatting included
need this?

#4 - 2008-10-31 15:26 - Azamat Hackimov

Hard to answer. Some strings require _plural form only (Projects, for example). That beacause some strings not true "plural”, it's just string without
any counting variables. You can consult ru.yml lang-file - | checked each plural string manually.

#5 - 2008-11-04 17:42 - Leszek Ciesielski
- File new_gloc.diff added

| prepared a patch with the new Polish gloc rule and updated plural translations (using ru.yml as a list of which plural versions were required).

However, no translation provides a plural and singular version for the one string that cause me to initially open this ticket. Grepping through
application code | found:
app/models/mailer.rb:  subject I(:mail_subject_reminder, issues.size)
Does this allow the use of various translations based on issues.size?

#6 - 2008-11-05 16:39 - Leszek Ciesielski
- File polish.txt added

Added translation of missing strings (as per r1977 ), consistent with previous ones.

| have doubts about translation of 'news' and 'messages’, previously they all got translated as 'wiadomosci' so | used this in new strings as well. | do
not know how this could be clarified - perhaps 'news' as 'komunikaty', 'messages' as 'wiadomosci'. Any Polish speakers here?

This patch is separate from the gloc one.

#7 - 2008-11-07 12:33 - Azamat Hackimov

- Due date set to 2008-11-07

- Status changed from Reopened to Closed

- Assignee set to Azamat Hackimov

- Target version set to 0.8

Leszek Ciesielski wrote:
However, no translation provides a plural and singular version for the one string that cause me to initially open this ticket. Grepping through
application code | found:

app/models/mailer.rb:  subject I(:mail_subject_reminder, issues.size)
Does this allow the use of various translations based on issues.size?

By design this should allow plural form. But without "_plural" it can't be interpreted as plural form and treated as singular. I'll think about it and try fix
this.

Anyway, update commited.

Files
new_gloc.diff 5.23 KB 2008-11-04 Leszek Ciesielski
polish.txt 5.64 KB 2008-11-05 Leszek Ciesielski
